<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="org.opensaml" xmlns="urn:jboss:module:1.9">

    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <artifact name="org.opensaml:opensaml-core:4.3.0"/>
        <artifact name="org.opensaml:opensaml-profile-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-saml-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-saml-impl:4.3.0"/>
        <artifact name="org.opensaml:opensaml-security-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-security-impl:4.3.0"/>
        <artifact name="org.opensaml:opensaml-soap-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xacml-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xacml-impl:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xacml-saml-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xacml-saml-impl:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xmlsec-api:4.3.0"/>
        <artifact name="org.opensaml:opensaml-xmlsec-impl:4.3.0"/>
        <artifact name="org.cryptacular:cryptacular:1.2.5"/>
        <artifact name="net.shibboleth.utilities:java-support:8.0.0"/>
    </resources>

    <dependencies>
      <module name="java.scripting"/>
      <module name="org.slf4j"/>
      <module name="org.apache.santuario.xmlsec"/>
      <module name="org.apache.ws.security"/>
      <module name="org.joda.time"/>
      <module name="com.google.guava"/>
      <module name="org.bouncycastle.bcmail"/>
      <module name="org.bouncycastle.bcpkix"/>
      <module name="org.bouncycastle.bcprov"/>
      <module name="org.apache.commons.codec"/>
      <module name="java.xml"/>
    </dependencies>
</module>
